Skip site navigation (1) Skip section navigation (2)

Re: Version defines

From: Joe Conway <mail(at)joeconway(dot)com>
To: James William Pye <flaw(at)rhid(dot)com>
Cc: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>,Hackers <pgsql-hackers(at)postgresql(dot)org>
Subject: Re: Version defines
Date: 2004-10-31 21:54:29
Message-ID: 41855F15.1060805@joeconway.com (view raw or flat)
Thread:
Lists: pgsql-hackers
James William Pye wrote:
> If this is the stance that the group has, that is fine. For now, I will
> continue my shameful practice of parsing up pg_config --version and
> defining the components for use in my source. (;
> 

FWIW, here's what I've been using in PL/R for a while now:

/* working with postgres 7.3 compatible sources */
#if (CATALOG_VERSION_NO <= 200211021)
#define PG_VERSION_73_COMPAT
#elif (CATALOG_VERSION_NO <= 200310211)
#define PG_VERSION_74_COMPAT
#else
#define PG_VERSION_75_COMPAT
#endif


Joe

In response to

pgsql-hackers by date

Next:From: Andrew DunstanDate: 2004-10-31 22:05:11
Subject: horology and DST changeover
Previous:From: Andrew DunstanDate: 2004-10-31 21:52:00
Subject: Re: make check error on -HEAD

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group